package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.bo.Pty;
import com.brilliance.isc.vo.PtaInfosVo;
import com.brilliance.isc.vo.PtsptaInfoVo;
import com.brilliance.isc.vo.PtsptaQueryVo;
import com.brilliance.isc.vo.PtyInfosVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface PtsptaMapper {

    // ptspta组件获取pta信息
    List<Map<String, Object>> getPtaInfo(PtsptaQueryVo ptsptaVo);

    // ptspta获取各个域的信息
    Map<String, String> getPtsptaInfo(String inr);

    Map<String, String> getPtsptaInfoByExtkey(String extkey);

    List<Pty> queryPtyByExtkey(@Param("extkey") String extkey, @Param("bchList") List<Bch> bchList);

    // Ptap1-Ptap13组件获取pta信息
    List<PtaInfosVo> getPtaInfos(PtsptaQueryVo ptsptaVo);

    // Ptap3获取各个域的信息
    PtsptaInfoVo getPtsptaInfo3(String inr);

    //Ptap5组件获取pta信息
    List<PtaInfosVo> queryPtaBicByExtkey(PtsptaQueryVo ptsptaVo);

    Map<String, String> queryPtsptaBicByInr(String inr);

    //根据账号查询pty表extkey
    PtsptaInfoVo selectExtkeyByOrcact(PtsptaQueryVo ptsptaVo);

    //根据账号查询pty表extkey
    List<PtyInfosVo> queryCusInfoByExtkey(PtsptaQueryVo ptsptaVo);

    List<PtyInfosVo> querySefratInfoByExtkey(PtsptaQueryVo ptsptaVo);
}